## edu-sync 0.2.5

=== debian/changelog ===
edu-sync (0.2.5-1) unstable; urgency=medium

  [ Upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crate shellexpand

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Feb 2025 11:13:38 +0100

edu-sync (0.2.3-4) unstable; urgency=medium

  * add patch 1001
    to use portable-atomic for Debian 32-bit arm support;
    build-depend on package for crate portable-atomic

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 13:08:57 +0100

edu-sync (0.2.3-3) unstable; urgency=medium

  * update copyright info: fix mail licensing,
    thanks to Thorsten Alteholz

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 01:36:36 +0100

edu-sync (0.2.3-2) unstable; urgency=medium

  * drop patches 2002_reqwest 2002_thiserror,
    obsoleted by Debian packaging changes;
    bump build-dependencies for crates reqwest thiserror
  * update copyright info: update coverage
  * add patch 1001 to use needed tokio feature "io-util"

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 01:21:52 +0100

edu-sync (0.2.3-1) experimental; urgency=medium

  * initial Release;
    closes: bug#1087549

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Nov 2024 17:57:15 +0100
