=== debian/control ===
Source: edu-sync
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man,
 librust-anyhow-1+default-dev,
 librust-base64-0.22+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-dialoguer-0.11+default-dev,
 librust-directories-5+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-hex-0.4+default-dev,
 librust-hex-0.4+serde-dev,
 librust-html-escape-0.2+default-dev,
 librust-human-panic-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-md5-0.7+default-dev,
 librust-portable-atomic-1+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-reqwest-0.12+json-dev,
 librust-reqwest-0.12+rustls-tls-dev,
 librust-reqwest-0.12+stream-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-serde-repr-0.1+default-dev,
 librust-serde-with-3+default-dev,
 librust-shellexpand-3+default-dev,
 librust-shellexpand-3+path-dev,
 librust-syn-2+default-dev,
 librust-thiserror-2+default-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+macros-dev,
 librust-time-0.3+serde-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+time-dev,
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-url-2+default-dev,
 librust-url-2+serde-dev,
 libstring-shellquote-perl <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/mkroening/edu-sync
Vcs-Git: https://salsa.debian.org/debian/edu-sync.git
Vcs-Browser: https://salsa.debian.org/debian/edu-sync
Rules-Requires-Root: no

Package: edu-sync
X-Cargo-Crates:
 edu-sync-cli,
Section: science
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: Moodle synchronization utility
 Edu Sync is a command line application
 that synchronizes the contents of Moodle instances
 to your computer.
 .
 It accesses the Moodle instance
 via the Moodle mobile web services API,
 which is also used by the official Moodle mobile app.
 To be able to use Edu Sync with a Moodle instance,
 the Moodle mobile web services must explicitly be enabled
 by the instance.
 .
 Moodle is a learning management system (LMS)
 used for blended learning, distance education,
 flipped classroom and other online learning projects
 in schools, universities, workplaces and other sectors.
