## edu-sync 0.3.0

=== debian/changelog ===
edu-sync (0.3.0-1) unstable; urgency=medium

  [ Upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 01:06:23 +0200
