=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
  librust-url-2+default-dev,
  librust-url-2+serde-dev,
  libstring-shellquote-perl <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mkroening/edu-sync
 Vcs-Git: https://salsa.debian.org/debian/edu-sync.git
 Vcs-Browser: https://salsa.debian.org/debian/edu-sync
