## edu-sync 0.3.2

=== debian/changelog ===
edu-sync (0.3.2-4) unstable; urgency=medium

  * update DEP-3 patch headers
  * relax build-dependencies for crates directories rand

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 22:41:15 +0200

edu-sync (0.3.2-3) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * update git-buildpackage config: improve usage comment
  * add upstream metadata;
    drop now obsolete (simple) watch file

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 14:20:11 +0200

edu-sync (0.3.2-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 11:27:45 +0200

edu-sync (0.3.2-1) experimental; urgency=medium

  [ Upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on packages for crate clap_complete
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2025 00:53:15 +0200
