=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
  librust-base64-0.22+default-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
+ librust-clap-complete-4+default-dev,
+ librust-clap-complete-4+unstable-dynamic-dev,
  librust-dialoguer-0.11+default-dev,
- librust-directories-5+default-dev,
+ librust-directories-dev (<< 7),
  librust-futures-util-0.3+alloc-dev,
  librust-hex-0.4+default-dev,
  librust-hex-0.4+serde-dev,
@@ -23,7 +25,7 @@
  librust-portable-atomic-1+default-dev,
  librust-proc-macro2-1+default-dev,
  librust-quote-1+default-dev,
- librust-rand-0.8+default-dev,
+ librust-rand-dev (<< 0.10),
  librust-regex-1+default-dev,
  librust-reqwest-0.12+json-dev,
  librust-reqwest-0.12+rustls-tls-dev,
@@ -52,6 +54,7 @@
  librust-url-2+default-dev,
  librust-url-2+serde-dev,
  libstring-shellquote-perl <!nodoc>,
+ libstd-rust-dev,
 Standards-Version: 4.7.2
 Homepage: https://github.com/mkroening/edu-sync
 Vcs-Git: https://salsa.debian.org/debian/edu-sync.git
